\name{predict.gdm}
\alias{predict.gdm}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
Predicting GDM Response Distances Using A Generalized Dissimilarity Model
}
\description{
This function predicts the response values data using the results of a model object returned from gdm 
and a data frame environmental data for a set of sites formatted as follows:

Observed,X0,Y0,X1,Y1,Pred1SiteA,Pred2SiteA,...,PredNSiteA, Pred1SiteB,Pred2SiteB,...,PredNSiteB

The first column should be a ratio based dissimilarity measure between  SitesA and SitesB.
In the case of gdm.predict, the first column could be set with dummy data as it is only the 
predictor data (and the XY columns if geo=TRUE) that will be used for the predictions.
The second and third columns, X0 and Y0 represent the coordinates of the first site from a site pair.
The fourth and fifth columns, X1 and Y1 represent the coordinates of the second site from a site pair.
Note that these columns MUST be included, even if you do not intend to use geographic distance as a predictor.
These columns can be loaded with dummy data if the actual coordinates are unknown.
The next columns are for N predictors for SiteA and followed by N predictors for Site B.
}
\usage{
predict.gdm(model, data)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{model}{
A gdm object.
}
  \item{data}{
A data frame representing the model data values for a collection of site pairs.
           The observed response data must be located in the first column. 
           The weights data must be located in the second column. 
           If geo is TRUE, then the X0,Y0 and Y0,Y1 columns will be used for calculating the geographic 
           distance between each site in each site pair for inclusion of the geographic predictor term into the GDM model.
           If geo is FALSE, the default, then the X0,Y0,X1 and Y1 data columns are ignored.
           The predictor data for Site A  and the predictor data for Site B follows.
}
}
\details{
%%  ~~ If necessary, more details than the description above ~~
}
\value{
Predict returns a response vector with the same length as the number of rows in each of the input data frame.
}
\references{
%% ~put references to the literature/web site here ~
}
\author{
Glenn Manion
}
\note{
%%  ~~further notes~~
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
}
\examples{

}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ gdm }
